openwrt.png

因为现在一些机场提供的帐号是需要协议参数的,而我惯用的这个ssr默认却没有协议参数这个选项,于是根据自己的路由器重新编译了一个,顺便把原来不能使用gfw模式的Bug也修复了(未测试),把比较热门的mt7621架构的也编译了一个,不过我没有这个架构下的路由器,因此未做测试。

下面链接是我编译好的安装包,需要的朋友可以直接下载安装。该安装包适用于mt7620/7621架构下的openwrt18.06.02系统,请根据自己的路由器架构下载。如使用中有Bug请留言,我会找找时间修复。

luci-app-shadowsocksR for openwrt 18.06.02

标签: luci-app-shadowsocksR, openwrt-ssr, openwrt 18.06.02, mt7620, mt7621

已有 12 条评论

  1. 来刷刷热度哈哈哈哈

  2. leon leon

    你好可以不以帮忙编译一个openwrt18.06.02版本的x86_64的ssr?我一直编译不成功,感谢了

    1. 好的,这两天我试试。

      1. leon leon

        可以加入ssr plus,很好用

        1. 我编译了两次X86的ssr,都失败了,有软路由时我在学一下编译固件吧。

  3. M M

    Hi 你好哦,我使用了mt7620 luci-app-shadowsocksR_1.2.1_all.ipk 发生了报错,麻烦看一下是什么原因哦?感谢
    主机名 OpenWrt
    主机型号 Xiaomi MiWiFi Mini
    架构 MediaTek MT7620A ver:2 eco:6
    固件版本 OpenWrt 18.06.2

    Failed to execute arcombine dispatcher target for entry '/admin/services/shadowsocksr/client'.
    The called action terminated with an exception:
    /usr/lib/lua/luci/model/cbi/shadowsocksr/client.lua:26: attempt to call field 'arptable' (a nil value)
    stack traceback:
    /usr/lib/lua/luci/model/cbi/shadowsocksr/client.lua:26: in function 'func'
    /usr/lib/lua/luci/cbi.lua:66: in function 'load'
    /usr/lib/lua/luci/dispatcher.lua:838: in function 'target'
    /usr/lib/lua/luci/dispatcher.lua:956: in function

    1. M M

      找到解决方案啦
      修改下面两文件
      /usr/lib/lua/luci/model/cbi/shadowsocksr/client.lua
      /usr/lib/lua/luci/model/cbi/shadowsocksr/client-config.lua
      把其中的
      #local arp_table = luci.sys.net.arptable() or {}
      修改为
      local arp_table = luci.ip.neighbors() or {}

      再次感谢

  4. M M

    Hi 又有个新问题,“协议参数” 不知道在哪里添加,请问可以通过直接修改路由上的代码来实现吗?

    1. 可以的,你直接谷歌搜一下,bloger里面有一篇教程。。

  5. 瞎子小陈 瞎子小陈

    请问luci-app-shadowsocksR 怎么添加 obfs混淆,我想编译个X86版本,谢谢

  6. [...]https://www.gwokshing.com/index.php/Router/92.html[...]

  7. [...]https://www.gwokshing.com/index.php/Router/92.html[...]

添加新评论